// Extrasprites.h
// Contiene sprites extra para el modo de matar enemigos de la churrera
// Slo se incluir (tras los sprites) si se define PLAYER_KILLS_ENEMIES
// Copyleft 2010 The Mojon Twins

// Frames extra por si se pueden eliminar los enemigos:

#if defined(PLAYER_CAN_FIRE) || defined(PLAYER_KILLS_ENEMIES) || defined(ENABLE_PURSUERS)
extern unsigned char sprite_17_a []; 
#endif
extern unsigned char sprite_18_a []; 
#ifdef PLAYER_CAN_FIRE
extern unsigned char sprite_19_a [];
extern unsigned char sprite_19_b [];
#endif

#if defined(PLAYER_CAN_FIRE) || defined(PLAYER_KILLS_ENEMIES) || defined(ENABLE_PURSUERS)
#asm
   ._sprite_17_a
        defb 0, 159
        defb 96, 14
        defb 97, 12
        defb 67, 24
        defb 64, 24
        defb 39, 128
        defb 15, 128
        defb 110, 0
        defb 111, 0
        defb 7, 128
        defb 32, 128
        defb 36, 128
        defb 18, 192
        defb 16, 192
        defb 23, 192
        defb 7, 192
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
 
    ._sprite_17_b
        defb 0, 255
        defb 0, 31
        defb 224, 15
        defb 48, 7
        defb 192, 3
        defb 92, 1
        defb 190, 0
        defb 174, 0
        defb 190, 0
        defb 28, 0
        defb 225, 0
        defb 170, 0
        defb 226, 0
        defb 10, 0
        defb 2, 0
        defb 56, 0
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
 
    ._sprite_17_c
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
        defb 0, 255
#endasm
#endif

#asm
	._sprite_18_a
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		
	._sprite_18_b
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		
	._sprite_18_c
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
		defb 0, 255, 0, 255, 0, 255, 0, 255
#endasm

#ifdef PLAYER_CAN_FIRE
#asm	              	
	._sprite_19_a
		defb 0, 0
		defb 0, 0
		defb 24, 0
		defb 60, 0
		defb 60, 0
		defb 24, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
	
	._sprite_19_b
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
		defb 0, 0
#endasm
#endif
